<!DOCTYPE html>
<html lang="en">
<%- include('partials/head.ejs', { title: 'ManageRequests' }) %>
<body>
    <%- include('partials/navbar.ejs') %>
    <main>
        <h1>Manage Requests</h1>
        <div class="row">
            <div class="col-10">
                <h2>Timetable</h2>
                <%- include('partials/timetable.ejs', { subjects }) %>
            </div>
            <div class="col-2">
                <h2>Requests:</h2>
                <% if (requests.length === 0) { %>
                    <p>There are no requests!</p>
                <% } else { %>
                    <% requests.forEach((request) => { %>
                        <a class="w-100 p-3 btn btn-outline-dark " href="/acceptRequest/acceptRequest?subjectId=<%= request.subjectid %>"><%= request.subjectid %></a>
                        <br>
                    <% }) %>
                <% } %>
            </div>
        </div>
    </main>
    <script src="/deleteFromTimetable.js"></script>
</body>
</html>